package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATASYSTEMORACLE"
)
public class TCoreDatasystemoracle extends TInitEntity {
   @Column(
      length = 32
   )
   private String insname;
   @Column(
      length = 32
   )
   private String insip;
   @Column(
      length = 16
   )
   private String insport;
   @Column(
      length = 32
   )
   private String datasystemid;

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getInsname() {
      return this.insname;
   }

   public void setInsname(String insname) {
      this.insname = insname;
   }

   public String getInsip() {
      return this.insip;
   }

   public void setInsip(String insip) {
      this.insip = insip;
   }

   public String getInsport() {
      return this.insport;
   }

   public void setInsport(String insport) {
      this.insport = insport;
   }
}
